// CITY GENERATOR: CITY SCAPE USING FILECITY.MCR
// This scene shows how you can use the FileCity.mcr file to speed
// up multiple renderings of a city.
//
// This scene should be rendered as a four-frame, non-cyclic animation.
// The MyCity.inc file can be deleted when the rendering is finished.

// ENVIRONMENT
//   light_source {<-300, 1000, -700> rgb 1}
//   light_source {<200, 4000, 100> rgb .5 shadowless}
   light_source {<-300, 1000, -1700> rgb 1}
   light_source {<200, 4000, 2000> rgb .5 shadowless}


   default {finish {ambient .3 diffuse .5}}

   background {rgb <.4, .6, .8>}
   fog {fog_type 2 color rgb <.7, .8, .9> distance 600 fog_alt 50}

// SEPARATE CAMERAS FOR EACH FRAME
/*
   #switch (int(clock*3))
   #case (0) camera {location <40, 350, -200> look_at <0, 0, 0>} #break
   #case (1) camera {fisheye location <-2, 1, -2> look_at <5, 20, 7> angle 140} #break
   #case (2) camera {location <-200, 40, -150> look_at <-50, 0, 0>} #break
   #case (3) camera {location <-185, 3, 5> look_at <0, 2, 0>} #end
  */
// NOTA IMPORTANTE: EL centro de las ciudades esta siempre en 0,0
   #declare debug_progress = true;
   #declare city_block_count = <4,12,0>;        //4 bloques de edificios a lo largo de X por 12 a lo largo de Z
   #declare buildings_per_block=2;              //num. de edificios por bloque (2)
   #declare building_width=25                   //ancho de cada edificio (25 metros)
   #declare building_gap=2;                     //separacin entre edificios del mismo bloque. (2 metros)
   #declare traffic_spacing = 0;                //distancia de separacin entre vehiculos. Como es cero,  no hay coches
   #declare pavement_height=0.15;               //altura del pavimento
   #declare pavement_width=4;                   //ancho de la acera
   #declare traffic_lanes=1;                    //2 carriles de carretera en cada direccin
   #declare traffic_width=2;                    //cada carril tiene un ancho de 4 metros
   //longitud ciudad en Z=((25*2)+8+2)*12=720
/*   
   #declare city_macro_file = "FILECITY.MCR"
   #declare city_output_file = "MYCITY.INC"

   #if (file_exists ("MYCITY.INC"))
      #include "MYCITY.INC"
   #else
      #include "CITY.INC"
   #end
*/
                         
   camera {location <0, 2, 0> look_at <-7, 1.6, 17>}
   #declare city_seed=12715;
   object{#include "CITY.INC" translate<0,0,300>}
                        
   #include "h_traje1.inc"
   #include "h_traje3.inc"
//colocar de -11 a -13

   #declare R=seed(98743);
   #declare a=1.4;
   #while (a<300)
        #declare a=a+(rand(R)*2)+1;
        #declare b=rand(R)*3;
        #if (rand(R)>.6)
                #declare c=180;
        #else
                #declare c=.2;
        #end                
        #if (rand(R)>.50)
                #if (rand(R)>.5)
                        object{h_traje1 rotate y*c translate <4+b, 0.15, a>}
                #else
                        object{h_traje3 rotate y*c translate <4+b, 0.15, a>}
                #end
        #end        
   #end

//la otra acera
   #declare a=1.4;
   #while (a<300)
        #declare a=a+(rand(R)*2)+1;
        #declare b=rand(R)*2.5;
        #if (rand(R)>.5)
                #declare c=180;
        #else
                #declare c=.2;
        #end                
        #if (rand(R)>.50)
                #if (rand(R)>.5)
                        object{h_traje1 rotate y*c translate <(4+b)*-1, 0.15, a>}
                #else
                        object{h_traje3 rotate y*c translate <(4+b)*-1, 0.15, a>}
                #end
        #end        
   #end

   object{h_traje3 rotate y*180 translate <-11, 0.15, 1.4>}

/*
   object{h_traje1 rotate y*180 translate <12, 0.15, 20>}
   object{h_traje1 translate <13, 0.15, 26>}
   object{h_traje1 rotate y*180 translate <12, 0.15, 28>}
   object{h_traje1 translate <13, 0.15, 36>}
   object{h_traje1 rotate y*180 translate <12, 0.15, 48>}
   object{h_traje1 rotate y*180 translate <12, 0.15, 120>}
   object{h_traje1 translate <13, 0.15, 96>}
   object{h_traje1 rotate y*180 translate <12, 0.15, 138>}
  */

// ENVIRONMENT
   light_source {<-40, 3000, -1200> rgb 1}
   light_source {<80, 4000, -1000> rgb .5 shadowless}
   default {finish {ambient .3 diffuse .5}}

   background {rgb <.4, .6, .8>}
   fog {fog_type 2 color rgb <.7, .8, .9> distance 300 fog_alt 50}

   